## r-cran-hsaur3 1.0

=== DESCRIPTION ===
Package: HSAUR3
Title: A Handbook of Statistical Analyses Using R (3rd Edition)
Date: 2024-08-17
Version: 1.0-15
Authors@R: c(person("Torsten", "Hothorn", role = c("aut", "cre"),
                 email = "Torsten.Hothorn@R-project.org", comment = c(ORCID = "0000-0001-8301-0471")),
          person(given = c("Brian", "S."),
                 family = "Everitt",
                 role = "aut"))
Maintainer: Torsten Hothorn <Torsten.Hothorn@R-project.org>
Description: Functions, data sets, analyses and examples from the 
  third edition of the book 
  ''A Handbook of Statistical Analyses Using R'' (Torsten Hothorn and Brian S.
  Everitt, Chapman & Hall/CRC, 2014). The first chapter
  of the book, which is entitled ''An Introduction to R'', 
  is completely included in this package, for all other chapters,
  a vignette containing all data analyses is available. In addition,
  Sweave source code for slides of selected chapters is included in 
  this package (see HSAUR3/inst/slides). The publishers web page is 
  '<https://www.routledge.com/A-Handbook-of-Statistical-Analyses-using-R/Hothorn-Everitt/p/book/9781482204582>'.
Depends: R (>= 3.0.0)
Suggests: boot (>= 1.3-9), lattice (>= 0.20-23), MASS (>= 7.3-29), mgcv
        (>= 1.7-27), rpart (>= 4.1-4), survival (>= 2.37-4), ape (>=
        3.0-11), coin (>= 1.1-3), flexmix (>= 2.3-11), Formula (>=
        1.1-1), gamair (>= 0.0.8), gamlss.data (>= 4.2.6), gee (>=
        4.13-18), KernSmooth (>= 2.23-10), lme4 (>= 1.0-5), maps (>=
        2.3-6), mboost (>= 2.2-3), mclust (>= 4.2), mlbench (>= 2.1-1),
        mice (>= 2.18), multcomp (>= 1.3-1), mvtnorm (>= 0.9-9996),
        partykit (>= 0.8-0), quantreg (>= 5.05), randomForest (>=
        4.6-7), rmeta (>= 2.16), sandwich (>= 2.3-0), scatterplot3d (>=
        0.3-34), sf (>= 1.0-9), sp (>= 1.0-14), TH.data (>= 1.0-2),
        tools, vcd (>= 1.3-1), wordcloud (>= 2.4), HSAUR2
LazyData: yes
License: GPL-2
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2024-08-17 16:31:15 UTC; hothorn
Author: Torsten Hothorn [aut, cre] (<https://orcid.org/0000-0001-8301-0471>),
  Brian S. Everitt [aut]
Repository: CRAN
Date/Publication: 2024-08-17 17:30:01 UTC

## r-cran-hsaur3 1.0-9

=== debian/changelog ===
r-cran-hsaur3 (1.0-9-3build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 10:06:37 +0000

r-cran-hsaur3 (1.0-9-3) unstable; urgency=medium

  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 07:31:40 +0200

r-cran-hsaur3 (1.0-9-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 12
  * Standards-Version: 4.5.0
  * Remove trailing whitespace in debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Tue, 25 Feb 2020 06:41:36 +0100

r-cran-hsaur3 (1.0-9-1) unstable; urgency=medium

  * Initial release (closes: #932293)

 -- Andreas Tille <tille@debian.org>  Wed, 17 Jul 2019 13:47:19 +0200

=== debian/control ===
Source: r-cran-hsaur3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hsaur3
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hsaur3.git
Homepage: https://cran.r-project.org/package=HSAUR3
Rules-Requires-Root: no

Package: r-cran-hsaur3
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Handbook of Statistical Analyses Using R (3rd Edition)
 Functions, data sets, analyses and examples from the
 third edition of the book
 ''A Handbook of Statistical Analyses Using R'' (Torsten Hothorn and Brian S.
 Everitt, Chapman & Hall/CRC, 2014). The first chapter
 of the book, which is entitled ''An Introduction to R'',
 is completely included in this package, for all other chapters,
 a vignette containing all data analyses is available. In addition,
 Sweave source code for slides of selected chapters is included in
 this package (see HSAUR3/inst/slides).

## r-cran-hsaur3 1.0-10

=== debian/changelog ===
r-cran-hsaur3 (1.0-10-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 25 Sep 2020 11:31:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
 Standards-Version: 4.5.0

## r-cran-hsaur3 1.0-12

=== debian/changelog ===
r-cran-hsaur3 (1.0-12-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Nilesh Patra ]
  * New upstream version 1.0-12

 -- Nilesh Patra <nilesh@debian.org>  Fri, 22 Oct 2021 15:51:12 +0000

r-cran-hsaur3 (1.0-11-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Sep 2021 12:42:20 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hsaur3
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hsaur3.git
 Homepage: https://cran.r-project.org/package=HSAUR3

## r-cran-hsaur3 1.0-13

=== debian/changelog ===
r-cran-hsaur3 (1.0-13-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 29 Apr 2022 11:53:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-hsaur3
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hsaur3
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hsaur3.git
+Homepage: https://cran.r-project.org/package=HSAUR3
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hsaur3
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hsaur3.git
-Homepage: https://cran.r-project.org/package=HSAUR3
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-hsaur3
 Architecture: all

## r-cran-hsaur3 1.0-14

=== debian/changelog ===
r-cran-hsaur3 (1.0-14-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2023 16:55:25 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hsaur3
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hsaur3.git
 Homepage: https://cran.r-project.org/package=HSAUR3
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-hsaur3 1.0-15

=== debian/changelog ===
r-cran-hsaur3 (1.0-15-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 04 Sep 2024 11:12:27 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hsaur3
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hsaur3.git
 Homepage: https://cran.r-project.org/package=HSAUR3
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name refstyle.bst -exec chmod -x \{\} \;

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/HSAUR3_([-\d.]*)\.tar\.gz
